Package org.apache.maven.scm.provider.accurev.command.changelog

## Class AccuRevChangeLogCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.provider.accurev.command.AbstractAccuRevCommand
    - - org.apache.maven.scm.provider.accurev.command.changelog.AccuRevChangeLogCommand

All Implemented Interfaces:
  `Command`

    public class AccuRevChangeLogCommand
    extends AbstractAccuRevCommand

TODO filter results based on project_path Find appropriate start and end transaction ids from parameters. Streams must be the same. Diff on stream start to end - these are the upstream changes Hist on the stream start+1 to end remove items from the upstream set if they appear in the history For workspaces diff doesn't work. So we would not pickup any upstream changes, just the "keep" transactions which is not very useful. Hist on the workspace Then diff / hist on the basis stream, skipping any transactions that are coming from the workspace.

Author:
  ggardner

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`AccuRevChangeLogCommand​(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ChangeLogScmResult` `changelog​(ScmProviderRepository repo, ScmFileSet testFileSet, CommandParameters params)`
`protected ScmResult` `executeAccurevCommand​(AccuRevScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.provider.accurev.command.AbstractAccuRevCommand

`executeCommand, getScmFiles`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccuRevChangeLogCommand

    public AccuRevChangeLogCommand​(ScmLogger logger)

### Method Detail

#### executeAccurevCommand

    protected ScmResult executeAccurevCommand​(AccuRevScmProviderRepository repository,
                                              ScmFileSet fileSet,
                                              CommandParameters parameters)
                                       throws ScmException,
                                              AccuRevException

Specified by:
  `executeAccurevCommand` in class `AbstractAccuRevCommand`
Throws:
  `ScmException`
  `AccuRevException`

#### changelog

    public ChangeLogScmResult changelog​(ScmProviderRepository repo,
                                        ScmFileSet testFileSet,
                                        CommandParameters params)
                                 throws ScmException

Throws:
  `ScmException`